apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: aep-ui-0.2.4
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: aep-ui
      podspec:
        containers:
          - name: aos
      provides:
        - exposed: true
          name: frontend
          network: loadbalanced
          servicespec:
            ports:
              - name: http
                port: 80
                protocol: TCP
                targetPort: 80
      sizing:
        increment: 1
        initial: 1
        maximum: 10
        minimum: 1
  includes:
    - name: defaults
      vendor: asag
      version: 0.8.0
  name: aep-ui
  settings:
    - name: environment
      schema:
        default: aep-ui_prod
  version: 0.2.4
